import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui';
import VueCookie from 'vue-cookie'  
import axios from "axios";
import VueAxios from 'vue-axios'
import Antd from 'ant-design-vue'



import 'element-ui/lib/theme-chalk/index.css';
import './assets/css/global.css'
import 'ant-design-vue/dist/antd.css'

import {postRequest} from "./utils/api";
import {putRequest} from "./utils/api";
import {deleteRequest} from "./utils/api";
import {getRequest} from "./utils/api";
import {postKeyValueRequest} from "./utils/api";
import VueDragResize from "vue-drag-resize"

// import httpRequest from '@/utils/httpRequest'
Vue.component('vue-drag-resize', VueDragResize)
// 挂载全局
Vue.prototype.postRequest = postRequest;
Vue.prototype.putRequest = putRequest;
Vue.prototype.deleteRequest = deleteRequest;
Vue.prototype.getRequest = getRequest;


Vue.prototype.$echarts = window.echarts
Vue.config.productionTip = false
// Vue.prototype.$http = httpRequest // ajax请求方法
Vue.use(VueAxios,axios)
Vue.use(ElementUI, { size: 'small' });
Vue.use(VueCookie)
Vue.use(Antd)
new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')